petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatKAIJGetTRead

Get a read-only pointer to the transformation matrix T associated with the KAIJ matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJGetTRead(Mat A,PetscInt *m,PetscInt *n,const PetscScalar **T)

Not Collective; the entire T is stored and returned independently on all processes

### Input Parameter

A -the KAIJ matrix

### Output Parameter

| m | - the number of rows in T
| n | - the number of columns in T
| T | - the T matrix, in form of a scalar array in column-major format

Note: All output parameters are optional (pass NULL or PETSC_IGNORE if not desired)

### See Also

MatCreateKAIJ(), MatGetBlockSizes()

### Level

advanced

### Location

src/mat/impls/kaij/kaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages